<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sqx.modules.app.dao.UserMoneyDetailsDao">

    <select id="selectUserMoneyDetails" resultType="com.sqx.modules.app.entity.UserMoneyDetails">
        select * from user_money_details where user_id = #{userId} and classify = #{classify} order by create_time desc
    </select>

    <select id="selectShopCashDeposit" resultType="com.sqx.modules.app.entity.UserMoneyDetails">
        select * from user_money_details where shop_id = #{shopId} and classify = #{classify}
        order by create_time desc
    </select>

    <select id="selectShopCashDepositList" resultType="com.sqx.modules.app.entity.UserMoneyDetails">
        select * from user_money_details where shop_id = #{shopId} and classify = 2 order by create_time desc
    </select>

</mapper>